<template>
  <div class="row">
    <div class="col col-12">
      <today-reward></today-reward>
    </div>
    <div class="col col-12 order-lg-first mb-5 mt-5 mt-lg-0">
      <button
        class="position-relative btn text-light w-100 fw-bolder d-flex align-items-center justify-content-center"
        :class="typeList === 'quiz' ? 'btn-warning' : 'btn-primary'"
        @click="$router.push(typeList === 'quiz' ? 'create-quiz' : 'create-survey').catch(() => {})"
      >
        <img
          src="@/assets/img/quiz_pattern.png"
          class="position-absolute w-100"
          style="height: 100%; object-fit: cover;"
          v-if="typeList === 'quiz'"
        />
        <img v-else
          src="@/assets/img/survey_banner.png"
          class="position-absolute w-100"
          style="height: 100%; object-fit: cover;"
        />
        Create a {{ typeList }}
      </button>
    </div>
  </div>
</template>

<script>
import TodayReward from "../TodayReward.vue";

export default {
  props: {
    typeList: String
  },
  components: {
    TodayReward
  }
};
</script>

<style scoped>
* >>> #bitcoin-reward-container,
* >>> #bsbtcoin-reward-container {
  height: 130px;
}
* >>> #bitcoin-reward-container svg,
* >>> #bsbtcoin-reward-container svg {
  height: 130px;
  min-height: 130px;
}
* >>> #bitcoin-reward-container img,
* >>> #bsbtcoin-reward-container img {
  height: 70%;
  object-fit: cover;
  z-index: -1;
}
* >>> #bitcoin-reward-container .total,
* >>> #bsbtcoin-reward-container .total {
  padding-top: 8%;
}
* >>> .total-reward-text,
* >>> .total-reward-count {
  font-size: 32px;
}

button {
  height: 120px;
  font-size: 32px;
  border-radius: 32px;
}
@media screen and (max-width: 991px) {
  button {
    height: 80px;
  }
  * >>> .total-reward-text,
  * >>> .total-reward-count {
    font-size: 26px;
  }
}
</style>
